function onTalk()
	disableMovement()
	choiceDialog({
	{
	"Violet_PlusTwoGym_Overhang_opt_0",
			repeatable = true,
			onChosen = function ()
				say("Violet_PlusTwoGym_Overhang_7a")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
	},
	{
	"Violet_PlusTwoGym_Overhang_opt_1",
			repeatable = true,
			onChosen = function ()
				say("Violet_PlusTwoGym_Overhang_7b")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
	},
	{
	"Violet_PlusTwoGym_Overhang_opt_2",
			repeatable = true,
			onChosen = function ()
				say("Violet_PlusTwoGym_Overhang_7c")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
	},
	{
	"Violet_PlusTwoGym_Overhang_opt_3",
			repeatable = true,
			onChosen = function ()
				teleportTo(-100, 96, "6tilemanp")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
